namespace FitConnect.Services;

public interface IRouteService: IRestCallService {
    /// <summary>
    ///     Returns the destination id for the given intent.
    /// </summary>
    /// <param name="leiaKey"></param>
    /// <param name="ags"></param>
    /// <param name="ars"></param>
    /// <param name="areaId"></param>
    /// <returns></returns>
    /// <exception cref="NotImplementedException"></exception>
    Task<string> GetDestinationIdAsync(string leiaKey, string? ags, string? ars,
        string? areaId);
}
